Index: cprs/branches/foia-cprs/CPRS-Chart/fFrame.dfm
===================================================================
--- cprs/branches/foia-cprs/CPRS-Chart/fFrame.dfm	(revision 459)
+++ cprs/branches/foia-cprs/CPRS-Chart/fFrame.dfm	(revision 460)
@@ -1,8 +1,8 @@
 object frmFrame: TfrmFrame
-  Left = 145
-  Top = 191
+  Left = 77
+  Top = 123
   Width = 684
-  Height = 487
-  Caption = 'CPRS Frame'
+  Height = 384
+  Caption = 'p'
   Color = clBtnFace
   Font.Charset = DEFAULT_CHARSET
@@ -30,5 +30,5 @@
     Top = 0
     Width = 676
-    Height = 441
+    Height = 330
     Align = alClient
     Caption = 'No patient is currently selected'
@@ -46,5 +46,5 @@
     Top = 0
     Width = 676
-    Height = 441
+    Height = 330
     Align = alClient
     TabOrder = 0
@@ -75,5 +75,5 @@
         Left = 0
         Top = 1
-        Width = 24
+        Width = 39
         Height = 39
         Align = alLeft
@@ -81,11 +81,11 @@
         ParentShowHint = False
         ShowHint = True
-        TabOrder = 7
+        TabOrder = 8
         object imgCCOW: TImage
           Left = 2
           Top = 2
-          Width = 20
+          Width = 35
           Height = 35
-          Align = alLeft
+          Align = alClient
           Center = True
           Picture.Data = {
@@ -120,5 +120,5 @@
       end
       object pnlPatient: TKeyClickPanel
-        Left = 24
+        Left = 39
         Top = 1
         Width = 187
@@ -202,5 +202,5 @@
       end
       object pnlVisit: TKeyClickPanel
-        Left = 211
+        Left = 226
         Top = 1
         Width = 168
@@ -263,7 +263,7 @@
       end
       object pnlPrimaryCare: TKeyClickPanel
-        Left = 379
+        Left = 394
         Top = 1
-        Width = 104
+        Width = 31
         Height = 39
         Hint = 'Primary Care Team / Primary Care Provider'
@@ -323,5 +323,5 @@
       end
       object pnlCIRN: TKeyClickPanel
-        Left = 518
+        Left = 520
         Top = 1
         Width = 49
@@ -338,29 +338,62 @@
         ParentShowHint = False
         ShowHint = True
-        TabOrder = 4
+        TabOrder = 5
         OnClick = pnlCIRNClick
         OnEnter = pnlPrimaryCareEnter
         OnExit = pnlPrimaryCareExit
+        OnMouseDown = pnlCIRNMouseDown
+        OnMouseUp = pnlCIRNMouseUp
         object lblCIRN: TLabel
-          Left = 3
-          Top = 4
-          Width = 37
+          Left = 2
+          Top = 2
+          Width = 45
           Height = 13
+          Align = alTop
+          Alignment = taCenter
           Caption = 'Remote'
           Enabled = False
+          Font.Charset = DEFAULT_CHARSET
+          Font.Color = clBtnFace
+          Font.Height = -8
+          Font.Name = 'MS Sans Serif'
+          Font.Style = []
+          ParentFont = False
           OnClick = pnlCIRNClick
         end
         object lblCIRNData: TLabel
-          Left = 11
-          Top = 22
-          Width = 23
+          Left = 2
+          Top = 15
+          Width = 45
           Height = 13
+          Align = alTop
+          Alignment = taCenter
           Caption = 'Data'
           Enabled = False
+          Font.Charset = DEFAULT_CHARSET
+          Font.Color = clBtnFace
+          Font.Height = -8
+          Font.Name = 'MS Sans Serif'
+          Font.Style = []
+          ParentFont = False
           OnClick = pnlCIRNClick
         end
+        object lblCIRNAvail: TLabel
+          Left = 2
+          Top = 28
+          Width = 45
+          Height = 9
+          Align = alClient
+          Alignment = taCenter
+          Font.Charset = DEFAULT_CHARSET
+          Font.Color = clBtnFace
+          Font.Height = -8
+          Font.Name = 'MS Sans Serif'
+          Font.Style = []
+          ParentFont = False
+          OnClick = pnlCIRNClick
+        end
       end
       object pnlReminders: TKeyClickPanel
-        Left = 567
+        Left = 569
         Top = 1
         Width = 35
@@ -377,5 +410,5 @@
         ParentShowHint = False
         ShowHint = True
-        TabOrder = 5
+        TabOrder = 6
         TabStop = True
         OnClick = pnlRemindersClick
@@ -405,5 +438,5 @@
       end
       object pnlFlag: TKeyClickPanel
-        Left = 483
+        Left = 485
         Top = 1
         Width = 35
@@ -415,5 +448,5 @@
         ParentShowHint = False
         ShowHint = True
-        TabOrder = 3
+        TabOrder = 4
         TabStop = True
         OnClick = pnlFlagClick
@@ -445,7 +478,7 @@
       end
       object pnlPostings: TKeyClickPanel
-        Left = 602
+        Left = 604
         Top = 1
-        Width = 72
+        Width = 70
         Height = 39
         Hint = 'Click to display patient postings.'
@@ -460,5 +493,5 @@
         ParentShowHint = False
         ShowHint = True
-        TabOrder = 6
+        TabOrder = 7
         TabStop = True
         OnClick = pnlPostingsClick
@@ -468,5 +501,5 @@
         OnMouseUp = pnlPostingsMouseUp
         object lblPtPostings: TStaticText
-          Left = 6
+          Left = 5
           Top = 4
           Width = 57
@@ -509,8 +542,55 @@
         end
       end
+      object paVAA: TKeyClickPanel
+        Left = 425
+        Top = 1
+        Width = 60
+        Height = 39
+        Align = alRight
+        BevelOuter = bvNone
+        Font.Charset = DEFAULT_CHARSET
+        Font.Color = clBtnFace
+        Font.Height = -11
+        Font.Name = 'MS Sans Serif'
+        Font.Style = []
+        ParentFont = False
+        ParentShowHint = False
+        ShowHint = False
+        TabOrder = 3
+        Visible = False
+        DesignSize = (
+          60
+          39)
+        object laVAA2: TButton
+          Left = 0
+          Top = 19
+          Width = 59
+          Height = 20
+          Hint = 'Click to display patient insurance data'
+          Anchors = [akLeft, akTop, akRight, akBottom]
+          Caption = 'laVAA2'
+          ParentShowHint = False
+          ShowHint = True
+          TabOrder = 1
+          OnClick = laVAA2Click
+        end
+        object laMHV: TButton
+          Left = 0
+          Top = 1
+          Width = 59
+          Height = 18
+          Hint = 'Click to display MHV data'
+          Anchors = [akLeft, akTop, akRight, akBottom]
+          Caption = 'laMHV'
+          ParentShowHint = False
+          ShowHint = True
+          TabOrder = 0
+          OnClick = laMHVClick
+        end
+      end
     end
     object stsArea: TStatusBar
       Left = 1
-      Top = 419
+      Top = 308
       Width = 674
       Height = 21
@@ -544,5 +624,5 @@
     object tabPage: TTabControl
       Left = 1
-      Top = 397
+      Top = 286
       Width = 674
       Height = 22
@@ -563,5 +643,5 @@
       Top = 42
       Width = 674
-      Height = 355
+      Height = 244
       Align = alClient
       BevelOuter = bvNone
@@ -607,6 +687,6 @@
   end
   object mnuFrame: TMainMenu
-    Left = 68
-    Top = 120
+    Left = 180
+    Top = 128
     object mnuFile: TMenuItem
       Caption = '&File'
@@ -715,4 +795,5 @@
             Tag = 8
             Caption = '8 pt'
+            RadioItem = True
             OnClick = mnuFontSizeClick
           end
@@ -720,4 +801,5 @@
             Tag = 10
             Caption = '10 pt'
+            RadioItem = True
             OnClick = mnuFontSizeClick
           end
@@ -725,4 +807,5 @@
             Tag = 12
             Caption = '12 pt'
+            RadioItem = True
             OnClick = mnuFontSizeClick
           end
@@ -730,4 +813,5 @@
             Tag = 14
             Caption = '14 pt'
+            RadioItem = True
             OnClick = mnuFontSizeClick
           end
@@ -735,4 +819,5 @@
             Tag = 18
             Caption = '18 pt'
+            RadioItem = True
             OnClick = mnuFontSizeClick
           end
@@ -740,4 +825,5 @@
             Tag = 24
             Caption = '24 pt'
+            RadioItem = True
             OnClick = mnuFontSizeClick
           end
@@ -811,16 +897,52 @@
         end
       end
-      object mnuViewDemo: TMenuItem
-        Caption = 'De&mographics'
-        OnClick = mnuViewDemoClick
-      end
-      object mnuViewPostings: TMenuItem
-        Caption = '&Postings'
-        OnClick = mnuViewPostingsClick
-      end
-      object mnuViewReminders: TMenuItem
-        Caption = '&Reminders'
-        Enabled = False
-        OnClick = mnuViewRemindersClick
+      object mnuViewInformation: TMenuItem
+        Caption = 'Information'
+        OnClick = mnuViewInformationClick
+        object mnuViewDemo: TMenuItem
+          Tag = 1
+          Caption = 'De&mographics...'
+          OnClick = ViewInfo
+        end
+        object mnuViewVisits: TMenuItem
+          Tag = 2
+          Caption = 'Visits/Pr&ovider...'
+          OnClick = ViewInfo
+        end
+        object mnuViewPrimaryCare: TMenuItem
+          Tag = 3
+          Caption = 'Primary &Care...'
+          OnClick = ViewInfo
+        end
+        object mnuViewMyHealtheVet: TMenuItem
+          Tag = 4
+          Caption = 'MyHealthe&Vet...'
+          OnClick = ViewInfo
+        end
+        object mnuInsurance: TMenuItem
+          Tag = 5
+          Caption = '&Insurance...'
+          OnClick = ViewInfo
+        end
+        object mnuViewFlags: TMenuItem
+          Tag = 6
+          Caption = '&Flags...'
+          OnClick = ViewInfo
+        end
+        object mnuViewRemoteData: TMenuItem
+          Tag = 7
+          Caption = 'Remote &Data...'
+          OnClick = ViewInfo
+        end
+        object mnuViewReminders: TMenuItem
+          Tag = 8
+          Caption = '&Reminders...'
+          OnClick = ViewInfo
+        end
+        object mnuViewPostings: TMenuItem
+          Tag = 9
+          Caption = '&Postings...'
+          OnClick = ViewInfo
+        end
       end
     end
@@ -832,4 +954,9 @@
         Caption = '-'
       end
+      object mnuToolsGraphing: TMenuItem
+        Caption = '&Graphing...'
+        ShortCut = 16455
+        OnClick = mnuToolsGraphingClick
+      end
       object LabInfo1: TMenuItem
         Caption = '&Lab Test Information...'
@@ -837,5 +964,5 @@
       end
       object mnuToolsOptions: TMenuItem
-        Caption = 'Options...'
+        Caption = '&Options...'
         OnClick = mnuToolsOptionsClick
       end
@@ -896,11 +1023,11 @@
   object OROpenDlg: TOpenDialog
     Filter = 'Exe file (*.exe)|*.exe'
-    Left = 460
-    Top = 369
+    Left = 260
+    Top = 257
   end
   object popAlerts: TPopupMenu
     AutoPopup = False
-    Left = 440
-    Top = 416
+    Left = 320
+    Top = 200
     object mnuAlertContinue: TMenuItem
       Caption = 'Continue'
@@ -918,6 +1045,7 @@
   object AppEvents: TApplicationEvents
     OnActivate = AppEventsActivate
-    Left = 496
-    Top = 368
+    OnShortCut = AppEventsShortCut
+    Left = 336
+    Top = 256
   end
 end
